Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class TabHeaderRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.richfaces.renderkit.TabHeaderRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  TabHeaderRenderer

    public class TabHeaderRendererBase

extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

Author:
  Nick Belaevski - nbelaevski@exadel.com created 12.01.2007

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`TabHeaderRendererBase()`

Method Summary
`void` | `encodeCellClasses(javax.faces.context.FacesContext context, UITab tab)`
`java.lang.String` | `encodeHeaderSpacing(javax.faces.context.FacesContext context, UITab tab)`
`java.util.List` | `encodeParams(javax.faces.context.FacesContext context, UITab component)`
`void` | `encodeTabLabel(javax.faces.context.FacesContext context, UITab tab)`
`protected java.lang.String` | `encodeTabLabelWidth(javax.faces.context.FacesContext context, UITab tab)`
`protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
`boolean` | `getRendersChildren()`
`void` | `writeLabel(javax.faces.context.FacesContext context, UITab tab)`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabHeaderRendererBase

    public TabHeaderRendererBase()

Method Detail

### getComponentClass

    protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### encodeParams

    public java.util.List encodeParams(javax.faces.context.FacesContext context,
                                       UITab component)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeTabLabel

    public void encodeTabLabel(javax.faces.context.FacesContext context,
                               UITab tab)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### encodeCellClasses

    public void encodeCellClasses(javax.faces.context.FacesContext context,
                                  UITab tab)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeLabel

    public void writeLabel(javax.faces.context.FacesContext context,
                           UITab tab)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeTabLabelWidth

    protected java.lang.String encodeTabLabelWidth(javax.faces.context.FacesContext context,
                                                   UITab tab)

### encodeHeaderSpacing

    public java.lang.String encodeHeaderSpacing(javax.faces.context.FacesContext context,
                                                UITab tab)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.